Name:		program_options
Version:	0.20030519
Release:	alt2

Summary:	Library to obtain program options from the user
License:	BSD
Group:		Development/C++
Packager:	Alexey Voinov <voins@altlinux.ru>
URL:		http://boost-sandbox.sourceforge.net/program_options

Source:		%url/%name.tar.bz2
Source1:	%url/%{name}_doc.tar.bz2

Patch1:		%name-alt-ddash.patch

# Automatically added by buildreq on Thu Oct 30 2003
BuildRequires: boost-devel gcc-c++ libstdc++-devel

%description
Briefly, the library should allow program developers to obtain
program options, i.e. (name,value) pairs from the user,
via conventional methods such as command line and config file.

Necessary facilities include:
- parse command line
- parse config files
- perform semantic validation on input, such as checking for correct
type of parameters, and storing values.
- combine all inputs together, so that all program options can
be obtained in one place.

%package devel
Summary:	Library to obtain program options from the user. Development files
Group:		Development/C++
Requires:	%name = %version-%release
Requires:	boost-devel >= 1.30.2

%description devel
Briefly, the library should allow program developers to obtain
program options, i.e. (name,value) pairs from the user,
via conventional methods such as command line and config file.

Necessary facilities include:
- parse command line
- parse config files
- perform semantic validation on input, such as checking for correct
type of parameters, and storing values.
- combine all inputs together, so that all program options can
be obtained in one place.

%package devel-static
Summary:	Library to obtain program options from the user. Static development files
Group:		Development/C++
Requires:	%name-devel = %version-%release

%description devel-static
Briefly, the library should allow program developers to obtain
program options, i.e. (name,value) pairs from the user,
via conventional methods such as command line and config file.

Necessary facilities include:
- parse command line
- parse config files
- perform semantic validation on input, such as checking for correct
type of parameters, and storing values.
- combine all inputs together, so that all program options can
be obtained in one place.

%prep
%setup -qc -a 1
%patch1 -p1

%build
cd libs/%name/build
for f in cmdline config_file options_description parsers variables_map; do
	gcc -c %optflags -fPIC -I../../../ ../src/$f.cpp -o $f.lo
	gcc -c %optflags -I../../../ ../src/$f.cpp -o $f.o
done
ar ru libboost_%name.a *.o
ranlib libboost_%name.a

g++ -shared -fPIC -Wl,-soname,libboost_%name.so.0.0 -o libboost_%name.so.0.0 *.lo


%install
mkdir -p $RPM_BUILD_ROOT{%_includedir/boost,%_includedir/boost/%name,%_libdir}
install -m644 boost/%name.hpp $RPM_BUILD_ROOT%_includedir/boost
install -m644 boost/%name/* $RPM_BUILD_ROOT%_includedir/boost/%name
install -m644 libs/%name/build/libboost_%name.a $RPM_BUILD_ROOT/%_libdir/
install -m755 libs/%name/build/libboost_%name.so* $RPM_BUILD_ROOT/%_libdir/
ln -s libboost_%name.so.0.0 $RPM_BUILD_ROOT/%_libdir/libboost_%name.so.0
ln -s libboost_%name.so.0 $RPM_BUILD_ROOT/%_libdir/libboost_%name.so

%files
%_libdir/*.so.*

%files devel
%doc html
%_includedir/boost/*
%_includedir/boost/%name/*
%_libdir/*.so

%files devel-static
%_libdir/*.a


%changelog
* Fri Nov 28 2003 Alexey Voinov <voins@altlinux.ru> 0.20030519-alt2
- fixed incorrect handling of '--'

* Thu Oct 30 2003 Alexey Voinov <voins@altlinux.ru> 0.20030519-alt1
- initial release

